## dzl-shortcut-accel-dialog

dzl-shortcut-accel-dialog

## Functions

GtkWidget * | dzl_shortcut_accel_dialog_new ()
gchar * | dzl_shortcut_accel_dialog_get_accelerator ()
void | dzl_shortcut_accel_dialog_set_accelerator ()
const DzlShortcutChord * | dzl_shortcut_accel_dialog_get_chord ()
const gchar * | dzl_shortcut_accel_dialog_get_shortcut_title ()
void | dzl_shortcut_accel_dialog_set_shortcut_title ()

## Properties

char * | accelerator | Read / Write
char * | shortcut-title | Read / Write

## Types and Values

#define | DZL_TYPE_SHORTCUT_ACCEL_DIALOG
| DzlShortcutAccelDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── DzlShortcutAccelDialog

## Implemented Interfaces

DzlShortcutAccelDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_shortcut_accel_dialog_new ()

    GtkWidget *
    dzl_shortcut_accel_dialog_new (void);

### dzl_shortcut_accel_dialog_get_accelerator ()

    gchar *
    dzl_shortcut_accel_dialog_get_accelerator
                                   (DzlShortcutAccelDialog *self);

### dzl_shortcut_accel_dialog_set_accelerator ()

    void
    dzl_shortcut_accel_dialog_set_accelerator
                                   (DzlShortcutAccelDialog *self,
                                    const gchar *accelerator);

### dzl_shortcut_accel_dialog_get_chord ()

    const DzlShortcutChord *
    dzl_shortcut_accel_dialog_get_chord (DzlShortcutAccelDialog *self);

### dzl_shortcut_accel_dialog_get_shortcut_title ()

    const gchar *
    dzl_shortcut_accel_dialog_get_shortcut_title
                                   (DzlShortcutAccelDialog *self);

### dzl_shortcut_accel_dialog_set_shortcut_title ()

    void
    dzl_shortcut_accel_dialog_set_shortcut_title
                                   (DzlShortcutAccelDialog *self,
                                    const gchar *title);

## Types and Values

### DZL_TYPE_SHORTCUT_ACCEL_DIALOG

    #define DZL_TYPE_SHORTCUT_ACCEL_DIALOG (dzl_shortcut_accel_dialog_get_type())

### DzlShortcutAccelDialog

    typedef struct _DzlShortcutAccelDialog DzlShortcutAccelDialog;

## Property Details

### The `“accelerator”` property

      “accelerator”              char *

Accelerator.

Owner: DzlShortcutAccelDialog

Flags: Read / Write

Default value: NULL

### The `“shortcut-title”` property

      “shortcut-title”           char *

Title.

Owner: DzlShortcutAccelDialog

Flags: Read / Write

Default value: NULL